Bug 828175 - Docs QE Review: Chapter 6. Virtualization
Docs QE Review: Chapter 6. Virtualization
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Technical_Notes (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Prpič
ecs-bugs
: Documentation
Depends On:
Blocks: 854093
  Show dependency treegraph
 
Reported: 2012-06-04 08:16 EDT by Miya Chen
Modified: 2015-09-27 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 854093 (view as bug list)
Environment:
Last Closed: 2013-01-22 09:13:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miya Chen 2012-06-04 08:16:00 EDT
Description of problem:
1. The maximum supported memory in a KVM guest increased from 512 GB to 4 TB. 

--->From the following bug, it should be 2TB
Bug 769041 - Increase Guest RAM limit to 2TB

2. KVM in Red Hat Enterprise Linux 6.3 improved the access to qcow2 disk images (qcow2  is the default format) by making it more asynchronous, thus avoiding vCPU stalls and enhancing the overall performance during disk I/O. 

--->qcow2 is not the default format, this sentence should be removed.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Martin Prpič 2012-06-04 08:31:23 EDT
(In reply to comment #0)

I'm guessing this is filed against the Release Notes?

> Description of problem:
> 1. The maximum supported memory in a KVM guest increased from 512 GB to 4
> TB. 

Snip from the Release Notes:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html-single/6.3_Release_Notes/index.html

"The maximum supported memory in a KVM guest increased from 512 GB to 2 TB."

No mention of 4 TB.

> 
> --->From the following bug, it should be 2TB
> Bug 769041 - Increase Guest RAM limit to 2TB
> 
> 2. KVM in Red Hat Enterprise Linux 6.3 improved the access to qcow2 disk
> images (qcow2  is the default format) by making it more asynchronous, thus
> avoiding vCPU stalls and enhancing the overall performance during disk I/O. 
> 
> --->qcow2 is not the default format, this sentence should be removed.

Do you have any info on this? The Technical Notes field in Bug 783950 has been edited by multiple engineers and not one of them removed that line.

Thanks,
Martin
Comment 3 Miya Chen 2012-06-05 01:07:06 EDT
> Snip from the Release Notes:
> 
> http://documentation-stage.bne.redhat.com/docs/en-US/
> Red_Hat_Enterprise_Linux/6/html-single/6.3_Release_Notes/index.html
> 
> "The maximum supported memory in a KVM guest increased from 512 GB to 2 TB."
> 
> No mention of 4 TB.

Sorry, Martin, I think i am reviewing a wrong link:
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6-Beta/html/6.3_Release_Notes/virtualization.html#kvm

Please ignore this bug if the above docs needs no change.

> > 
> > 2. KVM in Red Hat Enterprise Linux 6.3 improved the access to qcow2 disk
> > images (qcow2  is the default format) by making it more asynchronous, thus
> > avoiding vCPU stalls and enhancing the overall performance during disk I/O. 
> > 
> > --->qcow2 is not the default format, this sentence should be removed.
> 
> Do you have any info on this? The Technical Notes field in Bug 783950 has
> been edited by multiple engineers and not one of them removed that line.
> 

Let's involve the bug assignee Kevin to help confirm this.

Hi Kevin, can you please help confirm why there is "qcow2  is the default format" in the technical note? AFAIK, qcow2 is not the default, thanks.
Comment 4 Kevin Wolf 2012-06-05 04:19:58 EDT
I guess it depends. If you use qemu-kvm directly, then raw is generally the default format (expect for things like live snapshots where the features of qcow2 are a requirement). However, I seem to remember that at least at some point qcow2 was the default format in libvirt/virt-manager (not sure which one is responsible) indeed, and I'm not aware of a change. Daniel should know the details.

Or you can just drop the sentence and don't say anything about default formats, that's safe in any case.

Note You need to log in before you can comment on or make changes to this bug.